/*
# Dieses Dokument ist in der Zusammenarbeit von Informatikreferendaren und
# ehemaligen Informatikreferendaren der Studienseminare (heute ZfsL) Arnsberg,
# Hamm und Solingen entstanden.
#
# Das Dokument steht unter der Lizenz: Creative Commons by-nc-sa Version 4.0
# http://creativecommons.org/licenses/by-nc-sa/4.0/deed.de
#
# Nach dieser Lizenz darf das Dokument beliebig kopiert und bearbeitet werden,
# sofern das Folgeprodukt wiederum unter gleichen Lizenzbedingungen vertrieben
# und auf die ursprünglichen Urheber verwiesen wird.
# Eine kommerzielle Nutzung ist ausdrücklich ausgeschlossen.
#
# Die Namensnennung durch einen Verweis und die Lizenzangabe der ursprünglichen
# Urheber auf den Materialien für Schülerinnen und Schüler ist erforderlich.
#
# Die Sammlung der Dokumente steht unter
# http://ddi.uni-wuppertal.de/material/materialsammlung/
# zur Verfügung.
*/

class AlarmanlageSwitch implements AlarmanlageObserverInterface {
    AlarmanlageControllerInterface eventHandler
    RPTaster taster

    AlarmanlageSwitch(pin) {
        this.taster = new RPTaster(pin)
    }

    def setEventHandler(AlarmanlageControllerInterface eventHandler) {
        this.eventHandler = eventHandler
    }

    def doAction(){
        if (this.taster.istGedrueckt()) {
            this.eventHandler.event("active", "switch")
            sleep(1000) //Zeit um wieder los zu lassen
        }
    }
}
